%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           archmage
Version:        0.2.4
Release:        13%{?dist}
Summary:        Extensible reader/decompiler of files in CHM format

Group:          Development/Tools
# No version is specified in code license attribution.
License:        GPL+
URL:            http://archmage.sourceforge.net/
Source0:        http://downloads.sourceforge.net/archmage/archmage-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       python-chm
Requires:       python-BeautifulSoup
# for conversion to text
Requires:       elinks
BuildRequires:  python-devel

%description
arCHMage - extensible reader/decompiler of files in CHM format 
(Microsoft HTML help, also known as Compiled HTML).
arCHMage is based on chmlib by Jed Wing and is written on python.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%dir %{_sysconfdir}/archmage/
%config(noreplace) %{_sysconfdir}/archmage/arch.conf
%{_bindir}/archmage
%{python_sitelib}/archmod/
%{python_sitelib}/archmage-*egg-info
%{_datadir}/archmage/
%{_mandir}/man*/archmage*

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2.4-5
- Add missing dependency on python-BeautifulSoup (#658126).

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Oct 22 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 0.2.4-1
- Update to 0.2.4

* Thu Jun 11 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 0.2.3-1
- Update to 0.2.3

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.9-4
- Rebuild for Python 2.6

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.9-3
- fix license tag

* Thu Jan  3 2008 Patrice Dumas <pertusus@free.fr> 0.1.9-2
- ship egg

* Fri Aug  3 2007 Patrice Dumas <pertusus@free.fr> 0.1.9-1
- update to 0.1.9

* Thu Jan 18 2007 Patrice Dumas <pertusus@free.fr> 0.0.8-1
- update to 0.0.8

* Tue Dec 12 2006 Patrice Dumas <pertusus@free.fr> 0.0.7-4
- add BuildRequires python-devel

* Sat Dec  9 2006 Patrice Dumas <pertusus@free.fr> 0.0.7-3
- rebuild for python 2.5

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 0.0.7-2
- .pyo files added. Bug #205369
- BuildRequires:  python and not python-devel since it is noarch

* Mon Mar 20 2006 Patrice Dumas <pertusus@free.fr> 0.0.7-1
- initial release
